{% load static %}
<!DOCTYPE html>
<html lang="en">

                
            
            


<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>GreenLab</title>

       <link href="{% static 'bootstrap2/css/bootstrap.min.css' %}" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="{% static 'bootstrap2/css/sb-admin.css' %}" rel="stylesheet">

    <!-- Morris Charts CSS -->
    <link href="{% static 'bootstrap2/css/plugins/morris.css' %}" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="{% static 'bootstrap2/font-awesome/css/font-awesome.min.css' %}" rel="stylesheet"> 

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->


  <!-- Pasar a otro archivo-->

   <script src="{% static 'js/jquery1.js' %}"></script>
   <link rel="stylesheet" href="{% static 'jquery-ui-1.11.4/jquery-ui.css' %}">
 <!-- <script src="//code.jquery.com/jquery-1.10.2.js"></script>-->
  <script src="{% static 'jquery-ui-1.11.4/jquery-ui.js' %}"></script>
  <script src="{% static 'js/DjangoAjax.js' %}" ></script>
  <script src="{% static 'ajax/jquery.history.js' %}" ></script>

	<!-- Todos los metodos del index menos el update--> 
<script src="https://code.jquery.com/jquery-3.2.1.js"></script>
<script type="text/javascript">
function obtenerUnidad(idTipo){
   var unidad="";
   $.ajax({
                    type:"GET",
                    contentType:"application/json; charset=utf-8",
                    dataType:"json",
                    async: false,
                    url:"/ws/unidad/"+idTipo,
                    success:function(response){
                        var mensajep=JSON.parse(response);
                        <!-- $('input[name="unidad"]').val();-->
                        unidad= mensajep[0].fields.unidad
                    }
                });
                return unidad;
    
}
</script>

<script type="text/javascript">
$(document).ready(function() {
    function update() {
      var valor="";
               
              
                $.ajax({
                    type:"GET",
                    contentType:"application/json; charset=utf-8",
                    dataType:"json",
                    url:"/ws/",
                    success:function(response){
                    resp=JSON.parse(response);
                    var unidad="";
					
                        if (resp.length>0) {
                           
                            for (var i = 0; i < resp.length; i++) {
								var id_tipo=resp[i].fields.tipoSensor;
                                var unidad= obtenerUnidad(id_tipo);
                                <!-- var unidad= document.getElementById("unidad").value;-->
                                valor=resp[i].fields.valor;
                                
                                $('#text'+resp[i].pk).children().remove();
                                $('#text'+resp[i].pk).append("<div id='sens'"+resp[i].pk+">"+valor+" "+unidad+"</div>");
								
								
								
								
								 };
                        } else{
                            
                        };

                    }
                       
                });
    }
    setInterval(update, 200);
});
</script>

<script type="text/javascript">
    function logout(){
            var txt;
            var r = confirm("Esta seguro que desea salir?");
            if (r == true) {
                 $.ajax({
                    type:"GET",
                    contentType:"text; charset=utf-8",
                    dataType:"text",
                    url:"/accounts/logout/",
                    success:function(response){
                        if (response=="ok") {
                            
                        } else{

                        };
                    }
                });
            } else {
             

            }
               

            

        } 

  
</script>
<style type="text/css">
  .modal-body {
  max-height: calc(100vh - 212px);
  overflow:auto;
}
</style>



</head>

<body>


        
    
  

    <div id="wrapper">

        {% include 'navbar.html'%}
        <div id="page-wrapper">

            <div class="container-fluid">

                <!-- Page Heading -->
               
                <!-- /.row -->

                <div class="row">
			
			
		</div>
                <!-- /.row -->
        <div class="row">
        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3 class="panel-title"><i class="fa fa-long-arrow-right fa-fw"></i> Sensores de Agua</h3>
                            </div>
                            <div class="panel-body" id="idSensores1">
        
       
             {% if sensores_list%}
                                  {% for sensor in sensores_list%}
                                   
                                   {% ifequal sensor.tipoSensor "O" %}
                                   {%else%}
                                        {% ifequal sensor.orden "1" %}
                                        <div class="col-lg-3 col-md-7">
                                                    <div class="panel {{ sensor.tipoSensor.color  }}" id="sensor{{sensor.id}}">
                                                        <div class="panel-heading">
                                                            <div class="row">
                                                                <div class="col-xs-3">
                                                                     <img class="img-responsive"  src="{{sensor.tipoSensor.imagen.url}}">
                                                    
                                                                </div>
                                                                <div id="text{{sensor.id}}" class="col-xs-9 text-right">
                                                                    <div  >{{ sensor.valor  }}  {{ sensor.tipoSensor.unidad  }}</div>
                                                       
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <a href="#">
                                                            <div class="panel-footer">
                                                                <span class="pull-left">{{ sensor.descripcion  }}</span>
                                                                <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                                                                <div class="clearfix"></div>
                                                            </div>
                                                        </a>
                                                    </div>
                                                </div>
                                                {% endifequal %}
                                            {% endifequal %}
                                    {%endfor%}
                                    {%endif%}


</div>
</div>
</div>

 <div class="row">
        <div class="panel panel-default ">
                            <div class="panel-heading">
                                <h3 class="panel-title "><i class="fa fa-long-arrow-right fa-fw"></i> Sensores de Aire</h3>
                            </div>
                            <div class="panel-body" id="idSensores2">
        
       
             {% if sensores_list%}
                                  {% for sensor in sensores_list%}
                                   
                                   {% ifequal sensor.tipoSensor "O" %}
                                   {%else%}
                                        {% ifequal sensor.orden "2" %}
                                        <div class="col-lg-3 col-md-7">
                                                    <div class="panel {{ sensor.tipoSensor.color  }}" id="sensor{{sensor.id}}">
                                                        <div class="panel-heading">
                                                            <div class="row">
                                                                <div class="col-xs-3">
                                                                     <img class="img-responsive"  src="{{sensor.tipoSensor.imagen.url}}">
                                                    
                                                                </div>
                                                                 <div id="text{{sensor.id}}" class="col-xs-9 text-right">
                                                                    <div >{{ sensor.valor  }}  {{ sensor.tipoSensor.unidad  }}</div>
                                                       
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <a href="#">
                                                            <div class="panel-footer">
                                                                <span class="pull-left">{{ sensor.descripcion  }}</span>
                                                                <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                                                                <div class="clearfix"></div>
                                                            </div>
                                                        </a>
                                                    </div>
                                                </div>
                                                {% endifequal %}
                                            {% endifequal %}
                                    {%endfor%}
                                    {%endif%}


</div>
</div>
</div>
<div class="row">
        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3 class="panel-title"><i class="fa fa-long-arrow-right fa-fw"></i> Otros Sensores</h3>
                            </div>
                            <div class="panel-body" id="idSensores3">
        
       
             {% if sensores_list%}
                                  {% for sensor in sensores_list%}
                                   
                                   {% ifequal sensor.tipoSensor "O" %}
                                   {%else%}
                                        {% ifequal sensor.orden "3" %}
                                        <div class="col-lg-3 col-md-7">
                                                    <div class="panel {{ sensor.tipoSensor.color  }}" id="sensor{{sensor.id}}">
                                                        <div class="panel-heading">
                                                            <div class="row">
                                                                <div class="col-xs-3">
                                                                     <img class="img-responsive"  src="{{sensor.tipoSensor.imagen.url}}">
                                                    
                                                                </div>
                                                                <div id="text{{sensor.id}}" class="col-xs-9 text-right">
                                                                    <div >{{ sensor.valor  }}  {{ sensor.tipoSensor.unidad  }}</div>
                                                       
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <a href="#">
                                                            <div class="panel-footer">
                                                                <span class="pull-left">{{ sensor.descripcion  }}</span>
                                                                <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                                                                <div class="clearfix"></div>
                                                            </div>
                                                        </a>
                                                    </div>
                                                </div>
                                                {% endifequal %}
                                            {% endifequal %}
                                    {%endfor%}
                                    {%endif%}


</div>
</div>
</div>

            </div>
            <!-- /.container-fluid -->

        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- jQuery -->
    <script src="{% static 'bootstrap2/js/jquery.js' %}"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="{% static 'boostrap2/js/bootstrap.min.js' %}"></script>

  
</body>

</html>
